Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.navigation.page
Class Transition

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.navigation.page.Transition

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF11)
    public final class Transition

extends PdfObjectWrapper<PdfDictionary>

Visual transition to use when moving to a page during a presentation [PDF:1.6:8.3.3].

Since:
  0.0.7
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary
`static class` | `Transition.DirectionEnum` Transition direction (counterclockwise) [PDF:1.6:8.3.3].
`static class` | `Transition.OrientationEnum` Transition orientation [PDF:1.6:8.3.3].
`static class` | `Transition.PageDirectionEnum` Transition direction on page [PDF:1.6:8.3.3].
`static class` | `Transition.StyleEnum` Transition style [PDF:1.6:8.3.3].

Constructor Summary
`Transition(Document context)` Creates a new action within the given document context.
`Transition(Document context, Transition.StyleEnum style)`
`Transition(Document context, Transition.StyleEnum style, Double duration)`
`Transition(Document context, Transition.StyleEnum style, Double duration, Transition.OrientationEnum orientation, Transition.PageDirectionEnum pageDirection, Transition.DirectionEnum direction, Double scale)`

Method Summary
`Transition` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`Transition.DirectionEnum` | `getDirection()` Gets the transition direction.
`double` | `getDuration()` Gets the duration of the transition effect, in seconds.
`Transition.OrientationEnum` | `getOrientation()` Gets the transition orientation.
`Transition.PageDirectionEnum` | `getPageDirection()` Gets the transition direction on page.
`double` | `getScale()` Gets the scale at which the changes are drawn.
`Transition.StyleEnum` | `getStyle()` Gets the transition style.
`void` | `setDirection(Transition.DirectionEnum value)`
`void` | `setDuration(Double value)`
`void` | `setOrientation(Transition.OrientationEnum value)`
`void` | `setPageDirection(Transition.PageDirectionEnum value)`
`void` | `setScale(Double value)`
`void` | `setStyle(Transition.StyleEnum value)`
`static Transition` | `wrap(PdfDirectObject baseObject)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Transition

    public Transition(Document context)

  Creates a new action within the given document context.

### Transition

    public Transition(Document context,
                      Transition.StyleEnum style)

### Transition

    public Transition(Document context,
                      Transition.StyleEnum style,
                      Double duration)

### Transition

    public Transition(Document context,
                      Transition.StyleEnum style,
                      Double duration,
                      Transition.OrientationEnum orientation,
                      Transition.PageDirectionEnum pageDirection,
                      Transition.DirectionEnum direction,
                      Double scale)

Method Detail

### wrap

    public static Transition wrap(PdfDirectObject baseObject)

### clone

    public Transition clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getDirection

    public Transition.DirectionEnum getDirection()

  Gets the transition direction.

### getDuration

    public double getDuration()

  Gets the duration of the transition effect, in seconds.

### getOrientation

    public Transition.OrientationEnum getOrientation()

  Gets the transition orientation.

### getPageDirection

    public Transition.PageDirectionEnum getPageDirection()

  Gets the transition direction on page.

### getScale

    @PDF(value=PDF15)
    public double getScale()

  Gets the scale at which the changes are drawn.

### getStyle

    public Transition.StyleEnum getStyle()

  Gets the transition style.

### setDirection

    public void setDirection(Transition.DirectionEnum value)

  See Also:
    `getDirection()`

### setDuration

    public void setDuration(Double value)

  See Also:
    `getDuration()`

### setOrientation

    public void setOrientation(Transition.OrientationEnum value)

  See Also:
    `getOrientation()`

### setPageDirection

    public void setPageDirection(Transition.PageDirectionEnum value)

  See Also:
    `getPageDirection()`

### setScale

    public void setScale(Double value)

  See Also:
    `getScale()`

### setStyle

    public void setStyle(Transition.StyleEnum value)

  See Also:
    `getStyle()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.